ONVIF::Media::Elements::GetVideoAnalyticsConfigurationsResponse(3)

NAME
ONVIF::Media::Elements::GetVideoAnalyticsConfigurationsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetVideoAnalyticsConfigurationsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Configurations

     $element->set_Configurations($data);
     $element->get_Configurations();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetVideoAnalyticsConfigurationsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Configurations =>  { # ONVIF::Media::Types::VideoAnalyticsConfiguration
     AnalyticsEngineConfiguration =>  { # ONVIF::Media::Types::AnalyticsEngineConfiguration
       AnalyticsModule =>  { # ONVIF::Media::Types::Config
         Parameters =>  { # ONVIF::Media::Types::ItemList
           SimpleItem => ,
           ElementItem =>  {
           },
           Extension =>  { # ONVIF::Media::Types::ItemListExtension
           },
         },
       },
       Extension =>  { # ONVIF::Media::Types::AnalyticsEngineConfigurationExtension
       },
     },
     RuleEngineConfiguration =>  { # ONVIF::Media::Types::RuleEngineConfiguration
       Rule =>  { # ONVIF::Media::Types::Config
         Parameters =>  { # ONVIF::Media::Types::ItemList
           SimpleItem => ,
           ElementItem =>  {
           },
           Extension =>  { # ONVIF::Media::Types::ItemListExtension
           },
         },
       },
       Extension =>  { # ONVIF::Media::Types::RuleEngineConfigurationExtension
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL